Download it now!
Bug 106786 - FILEOPEN: DOC: Empty gap at the beginning of the document
Summary: FILEOPEN: DOC: Empty gap at the beginning of the document
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:doc, regression
Depends on:
Blocks:
 
Reported: 2017-03-26 21:12 UTC by Xisco Faulí
Modified: 2017-10-30 10:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-03-26 21:12:35 UTC
Steps to reproduce:
1. Open attachment 101486 [details] from bug 80333

Observed behaviour: There's a gap at the beginning of the document

Reproduced in

Version: 5.4.0.0.alpha0+
Build ID: 4ba483beccc99d336d0e0bec47b5fd6823b16c16
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-03-26 21:14:00 UTC
Regression introduced by:

author	Justin Luth <justin_luth@sil.org>	2016-11-02 12:15:55 (GMT)
committer	Justin Luth <justin_luth@sil.org>	2016-11-03 19:02:41 (GMT)
commit	5d9d0f3c979732ade57b9c4c4960dd030ffdc9f9 (patch)
tree	5fec72a40be7dbf15f208498494213cd6f59c114
parent	2a818a0aafac218ca09bb079d7f2cf0879385e4a (diff)
there is a function for that: CalcLineSpace(xx, bEvenIfNoLine)

Bisected with bibisect-linux-64-5.3.

Adding Cc: to Justin Luth
Comment 2 Justin L 2017-03-31 19:16:18 UTC
I'm not sure what I should do with this regression (which is connected to bug 41542).  The problem here is that the "no spacing" paragraph style does not have a borderline defined, but does have a 0.43inch spacing-to-contents padding, and that is where the "gap" comes from.  Before 5.3, LO improperly ignored that padding setting.

In Word, if I look at the border settings, they do not reflect the 0.43inch padding seen in Writer, and if I make any slight border changes, the spacing-to-contents disappears in Writer.  (However, a simple .doc round-trip through Word does not cause the spacing-to-contents to disappear.) In Word, if I "save as" .docx format, then the border spacing-to-contents disappears in Writer. 

I agree that there is a disconnect between Word and Writer during import though.  Word seems to be ignoring the padding value - perhaps the value is larger than Word's internal limit, and thus is replaced by defaults?

I also note that if the document is round-tripped through Writer, then everything is "fixed".  So, my conclusion is that this example document is not in a valid .doc format. Please provide a clean "created in Word" document that displays the same symptoms to further pursue this bug. Otherwise, I suggest it be marked as WontFix.
Comment 3 QA Administrators 2017-09-29 08:57:54 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2017-10-30 10:51:31 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20171030